Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class ReadXMLException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--oracle.jbo.JboException
                              |
                              +--oracle.jbo.ReadXMLException

Direct Known Subclasses:
  AttributeReadXMLException, RowReadXMLException

public class ReadXMLException
extends JboException

Thrown when reading an xml document fails for a RowSet or a Row. This exception could contain an array of exceptions thrown while reading a RowSet, one exception per Row.

Since:
  JDeveloper 3.2
See Also:
  Serialized Form

Constructor Summary
`protected` | `ReadXMLException(java.lang.String msgId, java.lang.Object[] msgParams)` Constructs a new instance.
`` | `ReadXMLException(java.lang.String tagString, java.util.Vector exc)`

Method Summary
`java.lang.String` | `getXMLTag()`

Methods inherited from class oracle.jbo.JboException
`addToDetails, getBaseMessage, getDetailMessage, getDetails, getErrorCode, getErrorParameters, getJboExceptionHelper, getLocalizedBaseMessage, getLocalizedMessage, getMessage, getProductCode, getResourceClass, getResourceName, getTypeNameFromId, isLocalizable, printStackTrace, printStackTrace, printStackTrace, setApplicationModule, setDetails, setErrorParameters`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReadXMLException

    protected ReadXMLException(java.lang.String msgId,
                               java.lang.Object[] msgParams)

  Constructs a new instance.
  Parameters:
    `tagString` - The tag for the xml-node for which the read operation failed.
    `exc` - A bag of exceptions collected. The xml-read operation attempts to read each row's xml and on exception, adds that to this bag

### ReadXMLException

    public ReadXMLException(java.lang.String tagString,
                            java.util.Vector exc)

Method Detail

### getXMLTag

    public java.lang.String getXMLTag()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD